%define _hardened_build 1
Name: ettercap
Version: 0.7.5
Release: 3%{?dist}
Summary: Network traffic sniffer/analyser, NCURSES interface version
Group: Applications/Internet
License: GPLv2+
URL: http://ettercap.sourceforge.net
Source0: http://downloads.sourceforge.net/ettercap/ettercap-%{version}.tar.gz
#Source0: ettercap-0.7.4.1-erc-c796e5.tar.bz2
Source1: ettercap.desktop
Source2: ettercap-README.fedora
# Permission from upstream to drop the silly modification restriction
Source3: ettercap_easter_egg_license.txt
Patch4: ettercap-NG-0.7.3-mitm-loop.patch
Patch5: ettercap-NG-0.7.3-selinux-fcntl.patch
# Remove the silly modification restriction
Patch8: ettercap-NG-0.7.3-license-fix.patch
#Patch9: ettercap-0.7.4-CVE-2010-3843.patch
#Patch10: ettercap-0.7.5-dhcp-spoof.patch

BuildRoot: %{_tmppath}/%{name}-NG-%{version}-%{release}-root%(%{__id_u} -n)

BuildRequires: desktop-file-utils
BuildRequires: ImageMagick
BuildRequires: gtk2-devel
BuildRequires: ncurses-devel
BuildRequires: openssl-devel
BuildRequires: pcre-devel
BuildRequires: libtool
BuildRequires: bison
BuildRequires: flex
BuildRequires: cmake
#some requirements are available in fedora but not in stock epel
#build for epel requires libnet which is only available from rpmforge
%if 0%{?rhel}
BuildRequires: libnet
#epel 5
BuildRequires: libtool-ltdl-devel
BuildRequires: libpcap-devel
%endif
%if 0%{?fedora}
BuildRequires: libpcap-devel
BuildRequires: libnet-devel
BuildRequires: libtool-ltdl-devel
%endif
Obsoletes: ettercap-plugins < 0.7.3-15
Provides: ettercap-plugins = %{version}-%{release}
Obsoletes: ettercap-common < 0.7.5
Provides: ettercap-common = %{version}-%{release}
Obsoletes: ettercap-gtk < 0.7.5
Provides: ettercap-gtk = %{version}-%{release}


%description
Ettercap is a suite for man in the middle attacks on LAN. It features
sniffing of live connections, content filtering on the fly and many other
interesting tricks. It supports active and passive dissection of many
protocols (even ciphered ones) and includes many feature for network and host
analysis. 


%prep
%setup -q

%patch4 -p0
%patch5 -p0
%patch8 -p1 -b .license
#%patch9 -p0
#%patch10 -p0

%build
mkdir build
pushd build
%cmake ../ -DINSTALL_PREFIX=/usr -DMAN_INSTALLDIR=%{_mandir} -DINSTALL_LIBDIR=%{_libdir}
make CFLAGS="$RPM_BUILD_FLAGS"

%install
rm -rf %{buildroot}
mkdir -p  %{buildroot}%{_bindir}
pushd build
make install DESTDIR=%{buildroot}
make install man DESTDIR=%{buildroot}
#getting rid of libtool files potentially left behind when building plugins
rm -f %{buildroot}%{_libdir}/ettercap/*.la
mkdir -p %{buildroot}%{_docdir}
install -c -m 644 %{SOURCE2} %{buildroot}%{_docdir}
install -c -m 644 %{SOURCE3} %{buildroot}%{_docdir}
touch %{buildroot}%{_bindir}/ettercap

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir %{buildroot}%{_datadir}/applications \
  %{SOURCE1}

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
install -p -m 644 ../share/ettercap.png \
  %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
rm -f ettercap*png


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE AUTHORS CHANGELOG THANKS TODO* README doc/
%{_bindir}/etter*
%config(noreplace) %{_sysconfdir}/ettercap/
%{_docdir}/ettercap-README.fedora
%{_docdir}/ettercap_easter_egg_license.txt
%{_mandir}/man5/etter*
%{_mandir}/man8/etter*
%{_datadir}/ettercap/
%{_libdir}/ettercap/
%{_datadir}/applications/fedora-ettercap.desktop
%{_datadir}/icons/hicolor/32x32/apps/ettercap.png

%changelog
* Thu Oct 18 2012 Jon Ciesla <limburgher@gmail.com> - 0.7.5-3
- 0.7.5 final.

* Tue Oct 16 2012 Jon Ciesla <limburgher@gmail.com> - 0.7.5-2.1.20120906gitc796e5
- Fix DHCP spoofing in gtk interface, BZ 867075.

* Mon Sep 10 2012 Jon Ciesla <limburgher@gmail.com> - 0.7.5-1.1.20120906gitc796e5
- Fixed Release tag and build flags, BZ 855504.

* Thu Sep 06 2012 Jon Ciesla <limburgher@gmail.com> - 0.7.5-0.20120906gitc796e5
- Fixed Obsoletes, BZ 855067.

* Tue Sep 04 2012 Jon Ciesla <limburgher@gmail.com> - 0.7.5-0.20120905gitc796e5
- Switch to git ettercap_rc branch for gtk crash, BZ 853791.
- Dropped UI and daemon patches.
- Merged subpackages, in part due to buildsystem change.
- Spec cleanup.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Apr 12 2012 Jon Ciesla <limburgher@gmail.com> - 0.7.4.1-3
- Add hardened build.

* Fri Mar 30 2012 Jon Ciesla <limburgher@gmail.com> - 0.7.4.1-2
- libnet rebuild.

* Mon Mar 12 2012 Jon Ciesla <limburgher@gmail.com> - 0.7.4.1-1
- New upstream.

* Fri Feb 10 2012 Petr Pisar <ppisar@redhat.com> - 0.7.4-4
- Rebuild against PCRE 8.30

* Mon Jan 30 2012 Jon Ciesla <limburgher@gmail.com> - 0.7.4-3
- RPM_OPT_FLAGS fix, BZ 785562.

* Thu Jan 26 2012 Jon Ciesla <limburgher@gmail.com> - 0.7.4-2
- Patch for CVE-2010-3843.

* Thu Jan 26 2012 Jon Ciesla <limburgher@gmail.com> - 0.7.4-1
- New upstream. Now BRs bison, flex.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-40
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.7.3-39
- Rebuild for new libpng

* Wed Feb 09 2011 Tom Callaway <spot@fedoraproject.org> - 0.7.3-38
- fix licensing issue with easter egg and include documentation of permission
  from upstream

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-37
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Oct 26 2010 Jon Ciesla <limb@jcomserv.net> - 0.7.3-36
- Patch to support passive DNS, BZ 646162.

* Fri Apr 23 2010 Jon Ciesla <limb@jcomserv.net> - 0.7.3-35
- Patch for 64bit crash by Timothy Redaelli, BZ 550237.

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 0.7.3-34
- rebuilt with new openssl

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-33
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 31 2009 Jon Ciesla <limb@jcomserv.net> - 0.7.3-32
- Patch for selinux/fctnl issue, BZ 491612.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-31
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 04 2009 Jon Ciesla <limb@jcomserv.net> - 0.7.3-30
- Correction to -29.

* Wed Feb 04 2009 Jon Ciesla <limb@jcomserv.net> - 0.7.3-29
- Use more reasonably sized icon, BZ484030.

* Fri Jan 16 2009 Tomas Mraz <tmraz@redhat.com> - 0.7.3-28
- rebuild with new openssl

* Thu Dec 04 2008 Caolán McNamara <caolanm@redhat.com> - 0.7.3-27
- rebuild for dependencies

* Mon Jun 16 2008 Jon Ciesla <limb@jcomserv.net> - 0.7.3-26
- Fix for mitm CPU util bug.

* Thu Jun 12 2008 Jon Ciesla <limb@jcomserv.net> - 0.7.3-25
- Corrected -24 patch.

* Thu Jun 12 2008 Jon Ciesla <limb@jcomserv.net> - 0.7.3-24
- Patch to fix daemon mode mitm behaviour BZ 450923.

* Tue Jun 10 2008 Jon Ciesla <limb@jcomserv.net> - 0.7.3-23
- Patch to fix ui in daemon mode BZ 450029.

* Fri Feb 08 2008 Jon Ciesla <limb@jcomserv.net> - 0.7.3-22
- GCC 4.3 rebuild.

* Wed Dec 05 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-21
- Rebuild due to openssl soname bump.
- Fixed desktop icon path.

* Thu Aug 16 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-20
- License tag correction.
- Fixed open() in ec_log.c

* Wed Mar 28 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-19
- /usr/bin/ettercap ownership fix.

* Tue Mar 27 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-18
- Obsoletes fix.

* Mon Mar 26 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-17
- Provides/obsoletes fixes.

* Mon Mar 26 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-16
- Merged -plugins into common.
- Fixed UI patch from Till Maas.

* Sat Mar 24 2007 Manuel Wolfshant <wolfy@pcnet.ro> - 0.7.3-15
- Unified spec for epel / FC5 / FC6; build for epel is not possible until
 libnet is made available

* Fri Mar 23 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-14
- Alternatives fix by Manuel Wolfshant.
- Please run rpm -e ettercap ettercap-gtk --noscripts before upgrading.
- Bump to unified FC5 compat.

* Thu Mar 15 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-12
- Added ettercap-README.fedora
- Fixed Requires versioning.

* Thu Mar 15 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-11
- Fixed several typos, clarified a few minor things.

* Thu Mar 15 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-10
- Added doc and README.
- Replaced symlinks with alternatives solution.

* Thu Mar 15 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-9
- Removed libtool BR.
- Removed .la files.
- Moved plugins to subpackage.
- Re-added Provides to GTK package.

* Tue Mar 13 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-8
- Added libtool-ltdl-devel BR.
- Removed full path from desktop.
- Dropped provides from gtk package

* Tue Mar 13 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-7
- Fixed .desktop icon path
* Tue Mar 13 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-6
- Moved to consistent buildroot.
- Fixed BR, Rs.

* Tue Mar 13 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-5
- Removed dupes, moved symlinks for t and c to common only
- Moved desktop scriptlets to gtk package.
- Moved curses man page to curses package.

* Tue Mar 13 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-4
- Added Provides

* Tue Mar 13 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-3
- Updated BRs.
- Split out gtk and NCURSES versions from common package.
- Added UI patch from Till Maas, symlinks, .desktop, icon installation.

* Sat Mar 10 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-2
- Corrected Source URL.

* Sat Mar 10 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-1
- Initial packaging.
